net.sf.jasperreports.engine.analytics.dataset

## Class BaseDataLevelBucketProperty

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.BaseDataLevelBucketProperty

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, DataLevelBucketProperty, JRCloneable
  Direct Known Subclasses:
    DesignDataLevelBucketProperty

      public class BaseDataLevelBucketProperty
      extends java.lang.Object
      implements DataLevelBucketProperty, java.io.Serializable

  Version:
    $Id: BaseDataLevelBucketProperty.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `expression`
    `protected java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BaseDataLevelBucketProperty()`
    `` | `BaseDataLevelBucketProperty(DataLevelBucketProperty property, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getExpression()`
    `java.lang.String` | `getName()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

    - #### expression

          protected JRExpression expression

  - ### Constructor Detail

    - #### BaseDataLevelBucketProperty

          protected BaseDataLevelBucketProperty()

    - #### BaseDataLevelBucketProperty

          public BaseDataLevelBucketProperty(DataLevelBucketProperty property,
                                     JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `DataLevelBucketProperty`

    - #### getExpression

          public JRExpression getExpression()

      Specified by:
        `getExpression` in interface `DataLevelBucketProperty`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com